This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 532137 - R doesn't choose proper compiler for ARM
R doesn't choose proper compiler for ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: R (Show other bugs)
rawhide
arm9 Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Easy Fix
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2009-10-30 16:34 EDT by Jitesh Shah
Modified: 2009-11-06 19:21 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.3-13.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 19:18:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix (1.19 KB, patch)
2009-10-30 16:38 EDT, Jitesh Shah
no flags Details | Diff

  None (edit)
Description Jitesh Shah 2009-10-30 16:34:08 EDT
Description of problem:
ARM's gcc doesn't support -m32 option. So, just "gcc" should be used instead of "gcc -m32"

Version-Release number of selected component (if applicable):
Any



Additional info:
Attaching a patch for suggested fix.
Comment 1 Jitesh Shah 2009-10-30 16:38:12 EDT
Created attachment 366858 [details]
fix
Comment 2 Fedora Update System 2009-11-05 14:38:34 EST
rpy-2.0.6-7.fc12,R-2.10.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpy-2.0.6-7.fc12,R-2.10.0-1.fc12
Comment 3 Fedora Update System 2009-11-05 14:38:39 EST
rpy-2.0.6-7.fc11,R-2.10.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpy-2.0.6-7.fc11,R-2.10.0-1.fc11
Comment 4 Fedora Update System 2009-11-05 14:38:45 EST
rpy-1.0.3-13.fc10,R-2.10.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpy-1.0.3-13.fc10,R-2.10.0-1.fc10
Comment 5 Fedora Update System 2009-11-06 19:18:05 EST
rpy-2.0.6-7.fc11, R-2.10.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-11-06 19:21:00 EST
rpy-2.0.6-7.fc12, R-2.10.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-11-06 19:21:17 EST
rpy-1.0.3-13.fc10, R-2.10.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.